import 'package:flutter/widgets.dart';

/// Abstract class for explicit navigation
/// This is meant for navigation to a widget which we identify explicitly
/// Responsibilities:
/// Actual navigation from one screen to another
///
/// For example,
/// pageRouter.loadPage(pageRouter.getNoteDetailsPage())
abstract class PageRouter {

  void loadPage({
    @required BuildContext context,
    @required Widget page,
    bool hasHeroWidgets = false
  });

}